Description

Supportanfrage

in adtf 2.14 war es möglich aus der Buffer-Config einen Header zu generieren headerA2l.png .

Wird das auch in Adtf 3.6.2 möglich sein oder muss ich den etwas umständlichen Weg gehen und zuerst eine description-Datei

erstellen und anschließend aus der einen Header generieren?

Lösung

Einen Header Export gibt es nicht, man exportiert eine Media Description Datei.

Diese kann dann mit Bordmitteln (mdgen) einfach beim CMake mit angegeben werden, generiert einen Header und kann mit diesem

direkt im Code arbeiten.

Die erzeugte Media Description Datei erzeugt wird im CMake somit fest einem Target zugewiesen, danach läuft alles automatisch.

Dadurch lässt sich vermeiden, dass Header und Description jemals unterschiedliche Versionen/Strukturdefinitionen haben könnten.

In den ADTF3 Examples wird das umgesetzt: examples/adtf/filters/standard_filters/demo_code_generation_filters.

History

#1 - 2019-11-11 17:46 - hidden

@Martin: Kannst du mal gesammelt auf die Tickets XCP betreffend draufschaun ? Gerne zusammen mit Michael oder aufteilen

@Waldemar: Danke für dein Feedback ! Uns sind auch schon ein paar Sachen aufgefallen, das ein oder andere ist bereits in Arbeit. Kurze Antwort

schon mal (nach meinen Wissenstand): Ein Mapping Tool (bzw. XSLT Transformation) wird gerade erarbeitet, deshalb wäre es hilfreich, wenn du uns

deine Use Cases nennst was du im alten genutzt hast und ein Bsp. Datei zur Verfügung stellst. EIne Zwischendatei ist derzeit nicht angedacht, dafür

ist der Parser perfomanter. Arrays werden derzeit nicht supported, ebenso wie substructs, das wird aktuell (mit Hochdruck) umgesetzt. Ebenso ist das

Makro Themen noch offen. Das soll bis Jahresende zumindest noch nachgezogen werden, gilt natürlich auch für Device TB. Ansonsten können wir

gerne auch mal einen Workshop und längere Telko anbieten, bei der du deinen gesammten Use Case beschreibst, nicht dass du Stück für Stück bei

der Portierung auf Probleme stößt. Ggf. können wir auch bei Redesign unterstützen.

#3 - 2019-11-11 17:48 - hidden

- Topic set to CalibrationTB::XCP

#4 - 2019-11-15 09:50 - hidden

- Status changed from New to In Progress

@Bene, hattet ihr das im SCFE noch angedacht? Oder zumindest einen Media Description Export? Weil ansonsten muss man fast den Umweg über

eine DAT Datei gehen um an die MD zu kommen.

Ansonsten ist der Weg über die Description kein schlechter, insbesondere wenn Du den header dann über 

https://support.digitalwerk.net/adtf/v3/adtf_html/page_media_description_code_generation.html

erstellts.

#5 - 2019-11-15 10:10 - hidden

- File Export Mediadescription.png added
https://support.digitalwerk.net/adtf/v3/adtf_html/page_media_description_code_generation.html


Ein Mediadescription Export ist dort bereits enthalten. Ob wir dort noch einen zusätzlichen Header-Export einbauen sollten, bin ich mir nicht sicher

!Export Mediadescription.png!

#7 - 2019-11-15 10:26 - hidden

Ah super! Nein, dann würde ich keinen zusätzlichen Header Exporter einbauen, der nur die Funktionalität des adtf_mdgen dupliziert.

@Waldemar, hast Du dir das mit der Code (header) Generierung angesehen, reicht Dir das so?

#8 - 2019-11-15 10:28 - hidden

Ich kann auch nur @Martin beipflichten das Mediadescription Package zu verwenden, da das Zugrundeliegende Tool "adtf_mdgen.exe" mächtiger ist

als der alter Header Export Mechanismus. Zweitens dafür nur eine Description Datei erzeugt werden und in CMake einem Target zugewiesen

werden, danach läuft alles automatisch. Dadurch lässt sich vermeiden, dass Header und Description jemals unterschiedliche

Versionen/Strukturdefinitionen haben könnten. In den ADTF3 Examples wird das umgesetzt:

examples/adtf/filters/standard_filters/demo_code_generation_filters.

#9 - 2019-11-15 10:30 - hidden

Der Meinung bin ich auch, dann kann der Code entfernt werden und wir haben keine Redundanz.

Zumal der Header Export auch völlig veraltet ist.

#10 - 2019-11-15 11:22 - hidden

Das hört sich gut an. Ich baue Heute mein offline Konfiguration auf und versuche euch eine Rückmeldung bis Montag zu geben.

#11 - 2019-11-20 17:06 - hidden

- Subject changed from Header aus Map-Datei exportieren SCFE to Create header from SCFE / map file

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

#12 - 2020-01-16 15:27 - hidden

- Status changed from To Be Closed to Closed

#13 - 2020-01-16 15:31 - hidden

- Project changed from 4 to Public Support

#14 - 2020-07-07 13:46 - hidden

- Private changed from Yes to No
